Package gnu.io

## Class UnSupportedLoggerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - gnu.io.UnSupportedLoggerException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class UnSupportedLoggerException
      extends java.lang.Exception

  Exception thrown when a method does not support the requested functionality.
  Since:
    JDK1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnSupportedLoggerException()` | create an instances with no message about why the Exception was thrown.
    `UnSupportedLoggerException​(java.lang.String str)` | create an instance with a message about why the Exception was thrown.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### UnSupportedLoggerException

          public UnSupportedLoggerException()

      create an instances with no message about why the Exception was thrown.
      Since:
        JDK1.0

    - #### UnSupportedLoggerException

          public UnSupportedLoggerException​(java.lang.String str)

      create an instance with a message about why the Exception was thrown.
      Parameters:
        `str` - A detailed message explaining the reason for the Exception.
      Since:
        JDK1.0